namespace Wizard;

public class ChatAddReplayTask : BaseTask
{
	public class ChatAddReplayTaskParam : BaseParam
	{
		public long battle_id { get; set; }
	}

	public ChatAddReplayTask(ApiType.Type apiType)
	{
		base.type = apiType;
	}

	public void SetParameter(long battleId)
	{
		ChatAddReplayTaskParam chatAddReplayTaskParam = new ChatAddReplayTaskParam();
		chatAddReplayTaskParam.battle_id = battleId;
		base.Params = chatAddReplayTaskParam;
	}

	protected override int Parse()
	{
		int result = base.Parse();
		_ = 1;
		return result;
	}
}
